Contents

# Statistical Functions Part Four

## AVERAGEIF

Returns the arithmetic mean of all cells in a range that satisfy a given condition. The AVERAGEIF function sums up all the results that match the logical test and divides this sum by the quantity of selected values.

## AVERAGEIFS

Returns the arithmetic mean of all cells in a range that satisfy given multiple criteria. The AVERAGEIFS function sums up all the results that match the logical tests and divides this sum by the quantity of selected values.

## AVEDEV

Returns the average of the absolute deviations of data points from their mean. Displays the diffusion in a data set.

#### Syntax

AVEDEV(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1; Number 2; … ; Number 255 are numbers, references to cells or to cell ranges of numbers.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### उदाहरण

=AVEDEV(A1:A50)

## AVERAGE

Returns the average of the arguments.

#### Syntax

AVERAGE(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1; Number 2; … ; Number 255 are numbers, references to cells or to cell ranges of numbers.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### उदाहरण

=AVERAGE(A1:A50)

## AVERAGEA

Returns the average of the arguments. The value of a text is 0.

#### Syntax

AVERAGEA(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1; Number 2; … ; Number 255 are numbers, references to cells or to cell ranges of numbers.

#### उदाहरण

=AVERAGEA(A1:A50)

## MAX

Returns the maximum value in a list of arguments.

Returns 0 if no numeric value and no error was encountered in the cell range(s) passed as cell reference(s). Text cells are ignored by MIN() and MAX(). The functions MINA() and MAXA() return 0 if no value (numeric or text) and no error was encountered. Passing a literal string argument to MIN() or MAX(), e.g. MIN("string"), still results in an error.

#### Syntax

MAX(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1; Number 2; … ; Number 255 are numbers, references to cells or to cell ranges of numbers.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### उदाहरण

=MAX(A1;A2;A3;50;100;200) returns the largest value from the list.

=MAX(A1:B100) returns the largest value from the list.

## MAXA

Returns the maximum value in a list of arguments. In opposite to MAX, here you can enter text. The value of the text is 0.

The functions MINA() and MAXA() return 0 if no value (numeric or text) and no error was encountered.

#### Syntax

MAXA(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1; Number 2; … ; Number 255 are numbers, references to cells or to cell ranges of numbers.

#### उदाहरण

=MAXA(A1;A2;A3;50;100;200;"Text") returns the largest value from the list.

=MAXA(A1:B100) returns the largest value from the list.

## MEDIAN

Returns the median of a set of numbers. In a set containing an uneven number of values, the median will be the number in the middle of the set and in a set containing an even number of values, it will be the mean of the two values in the middle of the set.

#### Syntax

MEDIAN(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1; Number 2; … ; Number 255 are numbers, references to cells or to cell ranges of numbers.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### उदाहरण

for an odd number: =MEDIAN(1;5;9;20;21) returns 9 as the median value.

for an even number: =MEDIAN(1;5;9;20) returns the average of the two middle values 5 and 9, thus 7.

## MIN

Returns the minimum value in a list of arguments.

Returns 0 if no numeric value and no error was encountered in the cell range(s) passed as cell reference(s). Text cells are ignored by MIN() and MAX(). The functions MINA() and MAXA() return 0 if no value (numeric or text) and no error was encountered. Passing a literal string argument to MIN() or MAX(), e.g. MIN("string"), still results in an error.

#### Syntax

MIN(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1; Number 2; … ; Number 255 are numbers, references to cells or to cell ranges of numbers.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### उदाहरण

=MIN(A1:B100) returns the smallest value in the list.

## MINA

Returns the minimum value in a list of arguments. Here you can also enter text. The value of the text is 0.

The functions MINA() and MAXA() return 0 if no value (numeric or text) and no error was encountered.

#### Syntax

MINA(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1; Number 2; … ; Number 255 are numbers, references to cells or to cell ranges of numbers.

#### उदाहरण

=MINA(1;"Text";20) returns 0.

=MINA(A1:B100) returns the smallest value in the list.

## MODE.MULT

Returns a vertical array of the statistical modes (the most frequently occurring values) within a list of supplied numbers.

#### Syntax

MODE.MULT(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1; Number 2; … ; Number 255 are numbers, references to cells or to cell ranges of numbers.

As the MODE.MULT function returns an array of values, it must be entered as an array formula. If the function is not entered as an array formula, only the first mode is returned, which is the same as using the MODE.SNGL function.

#### उदाहरण

=MODE.MULT(A1:A50)

#### Technical information

This function is available since LibreOffice 4.3.

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

COM.MICROSOFT.MODE.MULT

## MODE.SNGL

Returns the most frequently occurring, or repetitive, value in an array or range of data. If there are several values with the same frequency, it returns the smallest value. An error occurs when a value doesn't appear twice.

#### Syntax

MODE.SNGL(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1; Number 2; … ; Number 255 are numbers, references to cells or to cell ranges of numbers.

If the data set contains no duplicate data points, MODE.SNGL returns the #VALUE! error value.

#### उदाहरण

=MODE.SNGL(A1:A50)

#### Technical information

This function is available since LibreOffice 4.3.

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

COM.MICROSOFT.MODE.SNGL

## NEGBINOM.DIST

Returns the negative binomial density or distribution function.

#### Syntax

NEGBINOM.DIST(X; R; SP; Cumulative)

X represents the value returned for unsuccessful tests.

R represents the value returned for successful tests.

SP is the probability of the success of an attempt.

Cumulative = 0 calculates the density function, Cumulative = 1 calculates the distribution.

#### उदाहरण

=NEGBINOM.DIST(1;1;0.5;0) returns 0.25.

=NEGBINOM.DIST(1;1;0.5;1) returns 0.75.

#### Technical information

This function is available since LibreOffice 4.3.

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

COM.MICROSOFT.NEGBINOM.DIST

## NEGBINOMDIST

Returns the negative binomial distribution.

#### Syntax

NEGBINOMDIST(X; R; SP)

X represents the value returned for unsuccessful tests.

R represents the value returned for successful tests.

SP is the probability of the success of an attempt.

#### उदाहरण

=NEGBINOMDIST(1;1;0.5) returns 0.25.

## NORM.DIST

Returns the density function or the normal cumulative distribution.

#### Syntax

NORM.DIST(Number; Mean; StDev; C)

Number is the value of the distribution based on which the normal distribution is to be calculated.

Mean is the mean value of the distribution.

StDev is the standard deviation of the distribution.

C = 0 calculates the density function, C = 1 calculates the distribution.

#### उदाहरण

=NORM.DIST(70;63;5;0) returns 0.029945493.

=NORM.DIST(70;63;5;1) returns 0.9192433408.

#### Technical information

This function is available since LibreOffice 4.3.

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

COM.MICROSOFT.NORM.DIST

## NORM.INV

Returns the inverse of the normal cumulative distribution.

#### Syntax

NORM.INV(Number; Mean; StDev)

Number represents the probability value used to determine the inverse normal distribution.

Mean represents the mean value in the normal distribution.

StDev represents the standard deviation of the normal distribution.

#### उदाहरण

=NORM.INV(0.9;63;5) returns 69.4077578277. If the average egg weighs 63 grams with a standard deviation of 5, then there will be 90% probability that the egg will not be heavier than 69.41g grams.

#### Technical information

This function is available since LibreOffice 4.3.

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

COM.MICROSOFT.NORM.INV

## NORMDIST

Returns the density function or the normal cumulative distribution.

#### Syntax

NORMDIST(Number; Mean; StDev [; C])

Number is the value of the distribution based on which the normal distribution is to be calculated.

Mean is the mean value of the distribution.

StDev is the standard deviation of the distribution.

C is optional. C = 0 calculates the density function, C = 1 calculates the distribution.

#### उदाहरण

=NORMDIST(70;63;5;0) returns 0.03.

=NORMDIST(70;63;5;1) returns 0.92.

## NORMINV

Returns the inverse of the normal cumulative distribution.

#### Syntax

NORMINV(Number; Mean; StDev)

Number represents the probability value used to determine the inverse normal distribution.

Mean represents the mean value in the normal distribution.

StDev represents the standard deviation of the normal distribution.

#### उदाहरण

=NORMINV(0.9;63;5) returns 69.41. If the average egg weighs 63 grams with a standard deviation of 5, then there will be 90% probability that the egg will not be heavier than 69.41g grams.

## PEARSON

Returns the Pearson product moment correlation coefficient r.

#### Syntax

PEARSON(Data1; Data2)

Data1 represents the array of the first data set.

Data2 represents the array of the second data set.

#### उदाहरण

=PEARSON(A1:A30;B1:B30) returns the Pearson correlation coefficient of both data sets.

## PERCENTILE

Returns the alpha-percentile of data values in an array. A percentile returns the scale value for a data series which goes from the smallest (Alpha=0) to the largest value (alpha=1) of a data series. For Alpha = 25%, the percentile means the first quartile; Alpha = 50% is the MEDIAN.

#### Syntax

PERCENTILE(Data; Alpha)

Data represents the array of data.

Alpha represents the percentage of the scale between 0 and 1.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### उदाहरण

=PERCENTILE(A1:A50;0.1) represents the value in the data set, which equals 10% of the total data scale in A1:A50.

## PERCENTILE.EXC

Returns the Alpha'th percentile of a supplied range of values for a given value of Alpha, within the range 0 to 1 (exclusive). A percentile returns the scale value for a data series which goes from the smallest (Alpha=0) to the largest value (Alpha=1) of a data series. For Alpha = 25%, the percentile means the first quartile; Alpha = 50% is the MEDIAN.

If Alpha is not a multiple of 1/(n+1), (where n is the number of values in the supplied array), the function interpolates between the values in the supplied array, to calculate the percentile value. However, if Alpha is less than 1/(n+1) or Alpha is greater than n/(n+1), the function is unable to interpolate, and so returns an error.

The difference between PERCENTILE.INC and PERCENTILE.EXC is that, in the PERCENTILE.INC function the value of alpha is within the range 0 to 1 inclusive, and in the PERCENTILE.EXC function, the value of alpha is within the range 0 to 1 exclusive.

#### Syntax

PERCENTILE.EXC(Data; Alpha)

Data represents the array of data.

Alpha represents the percentage of the scale between 0 and 1.

#### उदाहरण

=PERCENTILE.EXC(A1:A50;10%) represents the value in the data set, which equals 10% of the total data scale in A1:A50.

#### Technical information

This function is available since LibreOffice 4.3.

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

COM.MICROSOFT.PERCENTILE.EXC

## PERCENTILE.INC

Returns the alpha-percentile of data values in an array. A percentile returns the scale value for a data series which goes from the smallest (Alpha=0) to the largest value (alpha=1) of a data series. For Alpha = 25%, the percentile means the first quartile; Alpha = 50% is the MEDIAN.

The difference between PERCENTILE.INC and PERCENTILE.EXC is that, in the PERCENTILE.INC function the value of alpha is within the range 0 to 1 inclusive, and in the PERCENTILE.EXC function, the value of alpha is within the range 0 to 1 exclusive.

#### Syntax

PERCENTILE.INC(Data; Alpha)

Data represents the array of data.

Alpha represents the percentage of the scale between 0 and 1.

#### उदाहरण

=PERCENTILE.INC(A1:A50;0.1) represents the value in the data set, which equals 10% of the total data scale in A1:A50.

#### Technical information

This function is available since LibreOffice 4.3.

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

COM.MICROSOFT.PERCENTILE.INC

## PERCENTRANK

Returns the percentage rank of a value in a sample.

#### Syntax

PERCENTRANK(Data; Value [; Significance])

Data represents the array of data in the sample.

Value represents the value whose percentile rank must be determined.

Significance An optional argument that specifies the number of significant digits that the returned percentage value is rounded to. If omitted, a value of 3 is used.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### उदाहरण

=PERCENTRANK(A1:A50;50) returns the percentage rank of the value 50 from the total range of all values found in A1:A50. If 50 falls outside the total range, an error message will appear.

## PERCENTRANK.EXC

Returns the relative position, between 0 and 1 (exclusive), of a specified value within a supplied array.

The difference between PERCENTRANK.INC and PERCENTRANK.EXC is that PERCENTRANK.INC calculates a value in the range 0 to 1 inclusive, whereas the PERCENTRANK.EXC function calculates a value in the range 0 to 1 exclusive.

#### Syntax

PERCENTRANK.EXC(Data; Value [; Significance])

Data represents the array of data in the sample.

Value represents the value whose percentile rank must be determined.

Significance An optional argument that specifies the number of significant digits that the returned percentage value is rounded to.

#### उदाहरण

=PERCENTRANK.EXC(A1:A50;50) returns the percentage rank of the value 50 from the total range of all values found in A1:A50. If 50 falls outside the total range, an error message will appear.

#### Technical information

This function is available since LibreOffice 4.3.

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

COM.MICROSOFT.PERCENTRANK.EXC

## PERCENTRANK.INC

Returns the relative position, between 0 and 1 (inclusive), of a specified value within a supplied array.

The difference between PERCENTRANK.INC and PERCENTRANK.EXC is that PERCENTRANK.INC calculates a value in the range 0 to 1 inclusive, whereas the PERCENTRANK.EXC function calculates a value in the range 0 to 1 exclusive.

#### Syntax

PERCENTRANK.INC(Data; Value [; Significance])

Data represents the array of data in the sample.

Value represents the value whose percentile rank must be determined.

Significance An optional argument that specifies the number of significant digits that the returned percentage value is rounded to.

#### उदाहरण

=PERCENTRANK.INC(A1:A50;50) returns the percentage rank of the value 50 from the total range of all values found in A1:A50. If 50 falls outside the total range, an error message will appear.

#### Technical information

This function is available since LibreOffice 4.3.

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

COM.MICROSOFT.PERCENTRANK.INC

## PHI

Returns the value of the probability density function for a given value considering the standard normal distribution.

#### Syntax

PHI(Number)

Number is the value for which the probability density function is calculated.

#### उदाहरण

=PHI(2.25) returns 0.0317.

=PHI(-2.25) also returns 0.0317 because the normal distribution is symmetrical.

=PHI(0) returns 0.3989.

Calling PHI(Number) is equivalent to calling NORMDIST(Number,0,1,FALSE()) or NORM.S.DIST(Number;FALSE()), hence using the standard normal distribution with mean equal to 0 and standard deviation equal to 1 with the Cumulative argument set to False.

## POISSON

Returns the Poisson distribution.

#### Syntax

POISSON(Number; Mean [; C])

Number represents the value based on which the Poisson distribution is calculated.

Mean represents the middle value of the Poisson distribution.

C (optional) = 0 or False calculates the density function; C = 1 or True calculates the distribution. When omitted, the default value True is inserted when you save the document, for best compatibility with other programs and older versions of LibreOffice.

#### उदाहरण

=POISSON(60;50;1) returns 0.93.

## POISSON.DIST

Returns the Poisson distribution.

#### Syntax

POISSON.DIST(Number; Mean ; Cumulative)

Number represents the value based on which the Poisson distribution is calculated.

Mean represents the middle value of the Poisson distribution.

Cumulative = 0 or False to calculate the probability mass function; Cumulative = 1, True, or any other non-zero value to calculate the cumulative distribution function.

#### उदाहरण

=POISSON.DIST(60;50;1) returns 0.9278398202.

#### Technical information

This function is available since LibreOffice 4.2.

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

COM.MICROSOFT.POISSON.DIST

## QUARTILE

Returns the quartile of a data set.

#### Syntax

QUARTILE(Data; Type)

Data represents the array of data in the sample.

Type represents the type of quartile. (0 = MIN, 1 = 25%, 2 = 50% (MEDIAN), 3 = 75% and 4 = MAX.)

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### उदाहरण

=QUARTILE(A1:A50;2) returns the value of which 50% of the scale corresponds to the lowest to highest values in the range A1:A50.

## QUARTILE.EXC

Returns a requested quartile of a supplied range of values, based on a percentile range of 0 to 1 exclusive.

The difference between QUARTILE.INC and QUARTILE.EXC is that the QUARTILE.INC function bases its calculation on a percentile range of 0 to 1 inclusive, whereas the QUARTILE.EXC function bases its calculation on a percentile range of 0 to 1 exclusive.

#### Syntax

QUARTILE.EXC(Data; Type)

Data represents the range of data values for which you want to calculate the specified quartile.

Type An integer between 1 and 3, representing the required quartile. (if type = 1 or 3, the supplied array must contain more than 2 values)

#### उदाहरण

=QUARTILE.EXC(A1:A50;2) returns the value of which 50% of the scale corresponds to the lowest to highest values in the range A1:A50.

#### Technical information

This function is available since LibreOffice 4.3.

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

COM.MICROSOFT.QUARTILE.EXC

## QUARTILE.INC

Returns the quartile of a data set.

The difference between QUARTILE.INC and QUARTILE.EXC is that the QUARTILE.INC function bases its calculation on a percentile range of 0 to 1 inclusive, whereas the QUARTILE.EXC function bases its calculation on a percentile range of 0 to 1 exclusive.

#### Syntax

QUARTILE.INC(Data; Type)

Data represents the array of data in the sample.

Type represents the type of quartile. (0 = MIN, 1 = 25%, 2 = 50% (MEDIAN), 3 = 75% and 4 = MAX.)

#### उदाहरण

=QUARTILE.INC(A1:A50;2) returns the value of which 50% of the scale corresponds to the lowest to highest values in the range A1:A50.

#### Technical information

This function is available since LibreOffice 4.3.

This function is not part of the Open Document Format for Office Applications (OpenDocument) Version 1.3. Part 4: Recalculated Formula (OpenFormula) Format standard. The name space is

COM.MICROSOFT.QUARTILE.INC

## मोड

Returns the most common value in a data set. If there are several values with the same frequency, it returns the smallest value. An error occurs when a value doesn't appear twice.

This function is part of the Open Document Format for Office Applications (OpenDocument) standard Version 1.2. (ISO/IEC 26300:2-2015)

#### Syntax

MODE(Number 1 [; Number 2 [; … [; Number 255]]])

Number 1; Number 2; … ; Number 255 are numbers, references to cells or to cell ranges of numbers.

This function ignores any text or empty cell within a data range. If you suspect wrong results from this function, look for text in the data ranges. To highlight text contents in a data range, use the value highlighting feature.

#### उदाहरण

=MODE(A1:A50)

Related Topics

Functions by Category